import request from '@/utils/request'

// 查询非正常户认定解除信息列表
export function listTermination(query) {
  return request({
    url: '/basicData/xcrConfirmationTermination/findByPage',
    method: 'get',
    params: query
  })
}

// 查询非正常户认定解除信息详细
export function getTermination(xhCodeId) {
  return request({
    url: '/basicData/xcrConfirmationTermination/' + xhCodeId,
    method: 'get'
  })
}

// 新增非正常户认定解除信息
export function addTermination(data) {
  return request({
    url: '/basicData/xcrConfirmationTermination',
    method: 'post',
    data: data
  })
}

// 修改非正常户认定解除信息
export function updateTermination(data) {
  return request({
    url: '/basicData/xcrConfirmationTermination',
    method: 'put',
    data: data
  })
}

// 删除非正常户认定解除信息
export function delTermination(xhCodeId) {
  return request({
    url: '/basicData/xcrConfirmationTermination/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delTerminationBatch(ids) {
  return request.post('/basicData/xcrConfirmationTermination/delete',ids)
}
